Goopta - Go + Opta
==================

A minial metric collection system which polls:

 * Load average values (TBD)
 * Derived CPU percentage values (complete)
 * Network interface statistics (TBD)
 * Disk partition usage in percent (TBD)
 * Memory usage (complete)

Fondly named gupta, for my bud.

Building
--------
You need go in version 1.12 at least.
On a linux based system just type

```
$ make build
```

This will place the built program in the `bin/` directory.

Installing
----------

To install the program into your system:

```
$ sudo make install
```


Testing
-------
On a linux based system just type `make build`

```
$ make test
```

Usage
-----
```
$ gutpa [-c|-l|-m|-p <partition>|-n <interface>] [-i <sec>]
```

You should see something like this:
```
$ gupta -c 
{
   "timestamp": <epoch>,
   "metrics": [
      {"name": "cpu user", "metric": 60.0},
	  ...
   ]
}
```

Removing
--------

```
$ sudo make uninstall
```
